### Method

# GLib KeyFile load_from_file

since: 2.6

#### Declaration [src]

    gboolean
    g_key_file_load_from_file (
      GKeyFile* key_file,
      const gchar* file,
      GKeyFileFlags flags,
      GError** error
    )

#### Description [src]

Loads a key file into an empty `GKeyFile` structure.

If the OS returns an error when opening or reading the file, a `GFileError` is returned. If there is a problem parsing the file, a `GKeyFileError` is returned.

This function will never return a `G_KEY_FILE_ERROR_NOT_FOUND` error. If the `file` is not found, `G_FILE_ERROR_NOENT` is returned.

Available since: 2.6

#### Parameters

`file`

  Type: `const gchar*`

  The path of a filename to load, in the GLib filename encoding.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`flags`

  Type: `GKeyFileFlags`

  Flags from `GKeyFileFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if a key file could be loaded, false otherwise.